% script file to generate a figure comparing 
%     Merz barrier points to the level set
%
% Ian Mitchell for TransAC, 5/5/01

lsFile = 'c:\cygwin\tmp\Aircraft3D\air.100.min.0260';
ptsFile = 'c:\cygwin\tmp\Aircraft3D\merzPts03.mat';
%lsFile = '/tmp/Aircraft3D/aircraft3D.100.min.0260';
%ptsFile = '/tmp/Aircraft3D/merzPts03.mat';

% plot the level set
%figure
plotLS(0, lsFile, 1000, 'solid');
hold on;

% pretty up the level set
view(0,-90);
camlight right;
view(80,12);
axis([ -5 20 -10 10 0 2*pi ]);
xlabel('x');  ylabel('y');  zlabel('\psi');

% get points and plot them
load(ptsFile);
plot3(pts(:,1), pts(:,2), pts(:,3), 'b.');

title('Level Set (100^3 grid) vs 2600 Barrier Points');

